#include <iostream>
#pragma GCC optimize("Ofast")
#pragma GCC target("avx,avx2,fma")
 
#include <cmath>
#include <iostream>
#include <vector>
#define N 10000005
using namespace std;
int r[2000];
int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,m;
    cin>>n>>m;

    int a[2000],b[2000],l[2000],d[2000],x[2000];
    for(int i=1;i<=n;i++){
    	cin>>a[i]>>b[i];

	}
    for(int i=0;i<m;i++){
    	cin>>l[i]>>d[i]>>x[i];

	}

	for(int i=0;i<m;i++){
		for(int j=l[i];j<=d[i];j++){
            //cout<<x[i]<<" "<<a[j]<<" "<<b[j]<<endl;
			if(x[i]>=a[j] and x[i]<=b[j]){
                r[i]++;

			}
		}
	}
	for(int i=0;i<m;i++){
    	cout<<r[i]<<endl;
	}
}